commit 71c7541d6a4feadf27ea08c9611bca06a11baa22
Author: jklowden <jklowden>
Date:   Sat Feb 28 17:38:38 2009 +0000

    DBDATEREC members are 32-bit

diff --git a/ChangeLog b/ChangeLog
index 721e89f..48941f4 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Sat Feb 28 12:32:06 EST 2009	JK Lowden <jklowden@freetds.org>
+	* include/sybdb.h DBDATEREC members are 32-bit
+	* BUGS TODO more things to fix
+	* include/tds.h src/tds/login.c src/tds/net.c
+	- login packet debugging options
+
 Fri Feb 27 16:50:57 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/bcp.c src/dblib/unittests/common.c:
 	* src/dblib/unittests/common.h src/dblib/unittests/dbmorecmds.c:
@@ -1348,4 +1354,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2734 2009/02/27 15:51:39 freddy77 Exp $
+$Id: ChangeLog,v 1.2735 2009/02/28 17:38:38 jklowden Exp $
diff --git a/include/sybdb.h b/include/sybdb.h
index 866a5d5..fc3dd4b 100644
--- a/include/sybdb.h
+++ b/include/sybdb.h
@@ -41,7 +41,7 @@ extern "C"
 #define TDS_STATIC_CAST(type, a) ((type)(a))
 #endif
 
-static const char rcsid_sybdb_h[] = "$Id: sybdb.h,v 1.88 2009/02/07 00:26:22 jklowden Exp $";
+static const char rcsid_sybdb_h[] = "$Id: sybdb.h,v 1.89 2009/02/28 17:38:39 jklowden Exp $";
 static const void *const no_unused_sybdb_h_warn[] = { rcsid_sybdb_h, no_unused_sybdb_h_warn };
 
 #ifdef FALSE
@@ -374,41 +374,40 @@ typedef struct tds_dblib_dbprocess DBPROCESS;
  * Sybase & Microsoft use different names for the dbdaterec members. 
  * Keep these two structures physically identical in memory.  
  * dbdatecrack() casts one to the other for ease of implementation. 
- * N.B. Microsoft documents the members as int, not long.   
  *
  * Giving credit where credit is due, we can acknowledge that
  * Microsoft chose the better names here, hands down.  ("datedmonth"?!)
  */
 struct tds_microsoft_dbdaterec
 {
-	long year;		/* 1753 - 9999  	   */
-	long quarter;		/* 1 - 4 		   */
-	long month;		/* 1 - 12 		   */
-	long day;		/* 1 - 31 		   */
-	long dayofyear;		/* 1 - 366 		   */
-	long week;            	/* 1 - 54 (for leap years) */
-	long weekday;		/* 1 - 7 (Mon. - Sun.)     */
-	long hour;		/* 0 - 23 		   */
-	long minute;		/* 0 - 59 		   */
-	long second;		/* 0 - 59 		   */
-	long millisecond;	/* 0 - 999 		   */
-	long tzone;		/* 0 - 127  (Sybase only)  */	
+	DBINT year;		/* 1753 - 9999  	   */
+	DBINT quarter;		/* 1 - 4 		   */
+	DBINT month;		/* 1 - 12 		   */
+	DBINT day;		/* 1 - 31 		   */
+	DBINT dayofyear;	/* 1 - 366 		   */
+	DBINT week;            	/* 1 - 54 (for leap years) */
+	DBINT weekday;		/* 1 - 7 (Mon. - Sun.)     */
+	DBINT hour;		/* 0 - 23 		   */
+	DBINT minute;		/* 0 - 59 		   */
+	DBINT second;		/* 0 - 59 		   */
+	DBINT millisecond;	/* 0 - 999 		   */
+	DBINT tzone;		/* 0 - 127  (Sybase only)  */	
 };					
 
 struct tds_sybase_dbdaterec
 {
-	long dateyear;		/* 1900 and counting	  */ 
-	long quarter;		/* 0 - 3 (Microsoft only) */
-	long datemonth;		/* 0 - 11   	     	  */
-	long datedmonth;	/* 1 - 31   	     	  */
-	long datedyear;		/* 1 - 366  	     	  */
-	long week;            	/* 1 - 54 (Microsoft only) */
-	long datedweek;		/* 0 - 6    	     	  */
-	long datehour; 		/* 0 - 23   	     	  */
-	long dateminute;	/* 0 - 59   	     	  */
-	long datesecond;	/* 0 - 59   	     	  */
-	long datemsecond;	/* 0 - 997  	     	  */
-	long datetzone;		/* 0 - 127  	     	  */
+	DBINT dateyear;		/* 1900 and counting	  */ 
+	DBINT quarter;		/* 0 - 3 (Microsoft only) */
+	DBINT datemonth;	/* 0 - 11   	     	  */
+	DBINT datedmonth;	/* 1 - 31   	     	  */
+	DBINT datedyear;	/* 1 - 366  	     	  */
+	DBINT week;            	/* 1 - 54 (Microsoft only) */
+	DBINT datedweek;	/* 0 - 6    	     	  */
+	DBINT datehour; 	/* 0 - 23   	     	  */
+	DBINT dateminute;	/* 0 - 59   	     	  */
+	DBINT datesecond;	/* 0 - 59   	     	  */
+	DBINT datemsecond;	/* 0 - 997  	     	  */
+	DBINT datetzone;	/* 0 - 127  	     	  */
 };
 
 #ifdef MSDBLIB

